<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_559824e0ac2e0f7e96c8104" . "73f78f5fe" => base64_decode("L25ld" . "3Mv"), "_4fabdeae2" . "8e3ef4591a" . "36a28a346d" . "c55" => base64_decode("YWRtaW4ubGFicy5hYnNvbH" . "V0ZV91cmwubmV3cw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4fabdeae28e3ef4591a36a" . "28a346dc55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_559824e0ac2e0f7e96c810473f" . "78f5fe"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}